> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List all SpeakerProfile entities



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/speakerprofile
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/speakerprofile:
    get:
      tags:
        - SpeakerProfile
      summary: List all SpeakerProfile entities
      operationId: listSpeakerProfile
      parameters:
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            type: integer
        - description: Number of results to skip
          in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/SpeakerProfile'
                    type: array
                  limit:
                    nullable: true
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of SpeakerProfile
      security:
        - BearerAuth: []
components:
  schemas:
    SpeakerProfile:
      properties:
        bio:
          type: string
        claimStatus:
          type: string
        claimedAt:
          format: date-time
          type: string
        company:
          type: string
        createdAt:
          format: date-time
          type: string
        customJson:
          description: Arbitrary JSON value
        email:
          type: string
        eventId:
          type: string
        headshotFileId:
          type: string
        headshotUrl:
          type: string
        id:
          type: string
        invitedAt:
          format: date-time
          type: string
        jobTitle:
          type: string
        linksJson:
          description: Arbitrary JSON value
        logistics:
          type: string
        name:
          type: string
        orgId:
          type: string
        status:
          type: string
        tagline:
          type: string
        tagsJson:
          description: Arbitrary JSON value
        updatedAt:
          format: date-time
          type: string
        userId:
          type: string
      required:
        - id
        - orgId
        - eventId
        - userId
        - name
        - email
        - status
        - claimStatus
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````